Package org.eclipse.jface.viewers

# Class StructuredViewerInternals

java.lang.Object
org.eclipse.jface.viewers.StructuredViewerInternals

@NoInstantiate @NoExtend public class StructuredViewerInternals extends Object
This class is not part of the public API of JFace. See bug 267722.

Since:
  3.5

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static interface`
`StructuredViewerInternals.AssociateListener`
Nothing to see here.

## Constructor Summary

Constructors
Constructor
Description
`StructuredViewerInternals()`

## Method Summary

Modifier and Type
Method
Description
`protected static Widget[]`
`getItems(StructuredViewer viewer, Object element)`
Nothing to see here.
`protected static void`
`setAssociateListener(StructuredViewer viewer, StructuredViewerInternals.AssociateListener listener)`
Nothing to see here.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StructuredViewerInternals

public StructuredViewerInternals()

## Method Details

### setAssociateListener

@NoReference protected static void setAssociateListener(StructuredViewer viewer, StructuredViewerInternals.AssociateListener listener)
Nothing to see here. Sets or resets the AssociateListener for the given Viewer.

Parameters:
  `viewer` - the viewer
  `listener` - the `StructuredViewerInternals.AssociateListener`

### getItems

@NoReference protected static Widget[] getItems(StructuredViewer viewer, Object element)
Nothing to see here. Returns the items for the given element.

Parameters:
  `viewer` - the viewer
  `element` - the element
Returns:
  the Widgets corresponding to the element